Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

installation doesn't work for python 2.7 #28

Closed
xdong opened this Issue May 27, 2012 · 2 comments

Comments

Projects
None yet
2 participants

xdong commented May 27, 2012

I tried to run make (or make install) but nothing happened (nothing got built). BTW I can install Pymacs 0.24beta2.

~/Downloads/pinard-Pymacs-8b435ce$ make
python pppp -C ppppconfig.py Pymacs.py.in pppp.rst.in pymacs.el.in pymacs.rst.in contrib tests
python setup.py --quiet build
~/Downloads/pinard-Pymacs-8b435ce$ ls
contrib ppppconfig.py pymacs.el.in pymacs.rst.in setup.py
COPYING pppp.rst Pymacs.py pymacs.wpr tests
Makefile pppp.rst.in Pymacs.py.in README.md THANKS
pppp pymacs.el pymacs.rst setup.cfg TODO

Contributor

leoliu commented Jun 2, 2012

I think I have this similar problem. But I use pip and it only installs auxiliary files. I have to manually copy Pymacs.py over.

wroberts added a commit to wroberts/Pymacs that referenced this issue Jun 13, 2012

xdong commented Jun 30, 2012

It turned out that the problem for me (in Linux) was that I had set the environment variable LANG=C. Once I changed it to the default LANG=en_US.UTF-8 the installation worked fine.

I don't fully understand why though.

@xdong xdong closed this Jun 30, 2012

pinard added a commit that referenced this issue Aug 30, 2012

Merge pull request #29 from wroberts/master
fix install of Pymacs on Python 2.7 (issue #28)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment